# Frequently asked questions

## The PNG output does not work! My images are empty or look weird.

PcbDraw uses ImageMagick to convert generated SVG files into PNG files.
ImageMagick does not have a single way of converting SVG into PNG but instead it
uses a method based on what tools are available on your system. That means:

- if you have Inkscape installed, it will use Inkscape. This is the ultimate
  option as Inkscape can interpret an arbitrary SVG.
- otherwise, it will use lib-rsvg or internal converter. lib-rsvg work fine with
  PcbDraw.
- However, if none above is available, the internal converter is used. This
  converter is based on MVG and it breaks terribly on complicated SVG files
  (practically all SVGs generated by PcbDraw).

If you are unsure which methods are available on your system, try invoking
ImageMagick directly to see what's happening:

```
convert -verbose board.svg -o board.png
```

Based on the output you can see which converters are used. I recommend to
install Inkscape.

Also, as of 2021 and the introduction of Inkscape 1.0, there might be a problem
with older versions with ImageMagic - see
[ImageMagick#3564](https://github.com/ImageMagick/ImageMagick/issues/3564). The
solution is to upgrade ImageMagic (the precise versions are referred in the
comments above).
